<html>
<head>
<link rel="stylesheet" type="text/css" href="web.css">
</head>
<body>

<h1> Topo-geometric detour router </h1>

<h2> 1. Introduction </h2>
<p>
The topo-geometric detour router is an autorouter intended for single layer
or multi layer printed circuit boards with variable network widths and
clearances.
<p>
The algorithm presented in this paper is neither a pure topological autorouter
nor a pure geometric autorouter: it is a combination. It uses topology to make
high level decisions about the structure of solution but uses geometry after
each decision to ensure routability of the board. On the topology side the
main idea is to do a path search on a tree of decisions instead of doing
the search in geometric space. In turn this reduces the geometric problem to
find the two possible detour path around an obstacle.
<p>
While the two aspects of the routing, topology and geometry, are running in
parallel, they are independent in the sense that the algorithm for each aspect
can be replaced without affecting the other aspect.

